Bug 1654056 - /usr/lib/systemd/system/dirsrv@.service:40: .include directives are deprecated
Summary: /usr/lib/systemd/system/dirsrv@.service:40: .include directives are deprecated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: 389-ds-base
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: mreynolds
QA Contact: RHDS QE
URL:
Whiteboard:
Depends On: 1683259
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-27 22:55 UTC by Viktor Ashirov
Modified: 2019-11-05 21:01 UTC (History)
6 users (show)

Fixed In Version: 389-ds-base-1.4.1.3-3.module+el8.1.0+3533+f8225121
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 21:00:18 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3401 None None None 2019-11-05 21:01:32 UTC

Description Viktor Ashirov 2018-11-27 22:55:02 UTC
Description of problem:
After instance is created, I see the following error in journalctl:
Nov 27 22:48:33 server-rhel8.example.com systemd[1]: /usr/lib/systemd/system/dirsrv@.service:40: .include directives are deprecated, and support for them will be removed in a future version of systemd. Please use drop-in files instead.


Version-Release number of selected component (if applicable):
389-ds-base-1.4.0.19-2

How reproducible:
always

Steps to Reproduce:
1. dscreate
2. journalctl | grep deprecated
3.

Actual results:
Deprecation message is found in the logs

Expected results:
No deprecation message 

Additional info:
https://github.com/systemd/systemd/commit/41b283d0f1f4abd85d0bbeeb7f71bb30f87cfab9

Comment 1 Viktor Ashirov 2018-11-27 22:59:16 UTC
Upstream ticket: https://pagure.io/389-ds-base/issue/49875

Comment 4 Viktor Ashirov 2019-07-02 07:49:01 UTC
Build tested: 389-ds-base-1.4.1.3-3.module+el8.1.0+3533+f8225121.x86_64

[root@server-rhel8 ds]# journalctl -u dirsrv@localhost.service _COMM=systemd
-- Logs begin at Tue 2019-07-02 07:33:44 UTC, end at Tue 2019-07-02 07:35:31 UTC. --
Jul 02 07:35:23 server-rhel8.example.com systemd[1]: Starting 389 Directory Server localhost....
Jul 02 07:35:25 server-rhel8.example.com systemd[1]: Started 389 Directory Server localhost..
Jul 02 07:35:25 server-rhel8.example.com systemd[1]: Stopping 389 Directory Server localhost....
Jul 02 07:35:28 server-rhel8.example.com systemd[1]: Stopped 389 Directory Server localhost..
Jul 02 07:35:29 server-rhel8.example.com systemd[1]: Starting 389 Directory Server localhost....
Jul 02 07:35:31 server-rhel8.example.com systemd[1]: Started 389 Directory Server localhost..

Message is no longer present in the logs.

And instead of include, a drop-in file is used to configure service parameters:
[root@server-rhel8 ds]# systemctl show dirsrv@localhost -p LimitNOFILE
LimitNOFILE=1048576
[root@server-rhel8 ds]# vim /usr/lib/systemd/system/dirsrv@.service.d/custom.conf 
[root@server-rhel8 ds]# systemctl daemon-reload 
[root@server-rhel8 ds]# systemctl show dirsrv@localhost -p LimitNOFILE
LimitNOFILE=4096

Marking as VERIFIED.

Comment 6 errata-xmlrpc 2019-11-05 21:00:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3401


Note You need to log in before you can comment on or make changes to this bug.